.section .shop-page-title-wrapper {
    display: flex;
    margin-bottom: 50px;
    justify-content: center;
    align-items: center;
}

.section .shop-page-title-wrapper .shop-page-title {
    position: relative;
    letter-spacing: 1.2px;
    text-align: center;
}

.section .shop-page-title-wrapper .shop-page-title:before {
    content: '';
    position: absolute;
    left: -7px;
    bottom: 0;
    display: block;
    width: 130px;
    height: 36px;
    background-color: var(--rose-accent);
    z-index: -1;
}

@media screen and (max-width: 768px) {
    .section .shop-page-title-wrapper .shop-page-title:before {
        content: normal;
    }
}

.section-main {
    position: relative;
    padding: 121px 0 51px;
    background: var(--dark-bg-color);
}

@media screen and (max-width: 480px) {
    .section-main {
        padding: 80px 0 40px;
    }
}

.section-main .section-main-flowers {
    position: absolute;
    top: 13px;
    right: 0;
    width: 35%;
    max-width: 648px;
    height: auto;
}

.section-main .section-main-flowers-blur {
    position: absolute;
    top: 109px;
    left: 0;
    width: 30%;
    max-width: 507px;
    height: auto;
}

@media screen and (max-width: 768px) {
    .section-main .section-main-flowers {
        top: -60px
    }

    .section-main .section-main-flowers-blur {
        top: -60px;
    }
}

.section-main .logo-wrapper {
    position: relative;
    margin-bottom: 42px;
    text-align: center;
}

.section-main .logo-wrapper .custom-logo {
    max-width: 430px;
    height: auto;
}

.section-main .shop-page-title {
    position: relative;
    margin: auto;
    max-width: 600px;
    font-size: 54px;
    line-height: 42px;
    text-align: center;
    color: var(--main-bg-color);
}

@media screen and (max-width: 600px) {
    .section-main .logo-wrapper .custom-logo {
        max-width: 80%;
    }

    .section-main .shop-page-title {
        font-size: 36px;
    }
}

.section-main .search-wrapper .header-search-form {
    position: relative;
    margin: 44px auto 38px;
    max-width: 190px;
    padding-right: 28px;
    overflow: hidden;
}

.section-main .search-wrapper .header-search-form .header-search-form-field {
    padding: 0;
    width: 100%;
    height: 28px;
    color: var(--main-bg-color);
    font-size: 12px;
    background-color: transparent;
    outline: 0;
    border: 0;
    box-sizing: border-box;
}

.section-main .search-wrapper .header-search-form .header-search-form-field + label {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.23);
    cursor: text;
}

.section-main .search-wrapper .header-search-form .header-search-form-field + label span {
    position: absolute;
    top: 9px;
    font-size: 12px;
    line-height: 12px;
    color: var(--main-bg-color);
    opacity: 0.7;
    transition: top 0.3s ease;
}

.section-main .search-wrapper .header-search-form .header-search-form-field:focus + label span,
.section-main .search-wrapper .header-search-form .header-search-form-field:not(:placeholder-shown) + label span {
    top: -28px;
}

.section-main .search-wrapper .header-search-form .header-search-form-field + label:after {
    content: '';
    position: absolute;
    height: 1px;
    left: -100%;
    width: 100%;
    bottom: -1px;
    background: var(--green-accent-lighter);
    transition: left 0.3s ease;
}

.section-main .search-wrapper .header-search-form .header-search-form-field:focus + label:after,
.section-main .search-wrapper .header-search-form .header-search-form-field:not(:placeholder-shown) + label:after {
    left: 0;
}

.section-main .search-wrapper .header-search-form .header-search-form-button {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    padding: 0;
    width: 28px;
    height: 28px;
    background: transparent;
    outline: 0;
    cursor: pointer;
    border: 0;
    color: var(--main-bg-color);
    transition: color 0.3s ease;
}

.section-main .search-wrapper .header-search-form .header-search-form-field:not(:placeholder-shown) + label + .header-search-form-button {
    color: var(--green-accent-lighter);
}

.section-main .search-wrapper .header-search-form .header-search-form-button svg {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 14px;
}

.section-main .search-wrapper .search-caption {
    position: relative;
    margin: auto;
    max-width: 600px;
    font-size: 16px;
    line-height: 20px;
    color: var(--main-bg-color);
}

@media screen and (max-width: 768px) {
    .section-main .search-wrapper .search-caption {
        text-align: center;
        font-size: 14px;
    }
}

.section-main .menu-wrapper {
    position: relative;
    margin-top: 60px;
}

.section-main .menu-wrapper .menu {
    position: relative;
    display: flex;
    margin: auto;
    padding: 0 14px;
    max-width: 996px;
    justify-content: space-between;
    background-color: var(--optional-dark);
    align-items: flex-start;
    border-radius: 16px;
}

.section-main .menu-wrapper .menu:before {
    content: '';
    position: absolute;
    display: block;
    top: -135px;
    right: -78px;
    width: 229px;
    height: 249px;
    background: url('../images/png/front-flowers-menu-back.png') no-repeat center;
}
/*
.section-main .menu-wrapper .menu:after {
    content: '';
    position: absolute;
    display: block;
    bottom: -43px;
    left: -44px;
    width: 121px;
    height: 139px;
    background: url('../images/png/front-flowers-menu-front.png') no-repeat center;
    z-index: 3;
}*/

.section-main .menu-wrapper .menu .menu-item {
    display: block;
    width: 14.28%;
    text-align: center;
}

.section-main .menu-wrapper .menu .menu-item a {
    position: relative;
    display: block;
    padding: 32px 10px 0;
    width: 100%;
    height: 166px;
    font-size: 0;
    text-decoration: none;
    color: var(--main-bg-color);
    transition: color var(--transition);
}

.section-main .menu-wrapper .menu .menu-item a:hover {
    color: var(--text-color-light-dark);
}

.section-main .menu-wrapper .menu .menu-item a:before {
    content: '';
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--green-accent-lighter);
    border-radius: 18px;
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    transition: all var(--transition);
}

.section-main .menu-wrapper .menu .menu-item:hover a:before {
    top: -14px;
    height: calc(100% + 42px);
    opacity: 1;
    visibility: visible;
}

.section-main .menu-wrapper .menu .menu-item a .menu-item-icon {
    position: relative;
    display: block;
    margin-bottom: 28px;
    height: 58px;
    z-index: 2;
}

.section-main .menu-wrapper .menu .menu-item a .menu-item-icon svg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    transition: fill var(--transition);
}

.section-main .menu-wrapper .menu .menu-item a .menu-item-name {
    position: relative;
    display: block;
    font-weight: 600;
    font-size: 12px;
    line-height: 12px;
    z-index: 2;
    transition: color var(--transition);
}

.section-main .menu-wrapper .menu .menu-item.menu-item-145 a .menu-item-name:before {
    content: '';
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 200%;
    z-index: -1;
    border-radius: 40px;
    background-color: var(--red-sale-accent);
    transform: translateY(-25%);
    transition: background-color var(--transition);
}

.section-main .menu-wrapper .menu .menu-item.menu-item-145 a:hover .menu-item-name:before {
    background-color: var(--green-accent-lighter);
}

.section-main .menu-wrapper .menu .menu-item a .menu-item-more {
    position: absolute;
    display: block;
    top: calc(100% - 12px);
    left: 0;
    right: 0;
    margin: auto;
    width: 100%;
    max-width: 112px;
    font-weight: 700;
    font-size: 10px;
    line-height: 32px;
    text-align: center;
    color: var(--main-bg-color);
    background: var(--text-color-light-dark);
    opacity: 0;
    visibility: hidden;
    border-radius: 22px;
    z-index: 2;
    transition: opacity var(--transition), visibility var(--transition);
}

.section-main .menu-wrapper .menu .menu-item a:hover .menu-item-more {
    opacity: 1;
    visibility: visible;
}

.section-main .info-wrapper {
    display: flex;
    margin-top: 56px;
    justify-content: center;
    align-items: center;
}

.section-main .info-wrapper .button-schedule {
    font-weight: 600;
    font-size: 12px;
    line-height: 12px;
    text-decoration: none;
    color: var(--green-accent-lighter);
    border-bottom: 1px solid var(--green-accent-lighter);
    transition: border-color var(--transition);
}

.section-main .info-wrapper .button-schedule:hover {
    border-color: transparent;
}

.section-main .info-wrapper .button-contacts {
    margin-left: 30px;
    padding: 0 22px;
    height: 44px;
    font-weight: 800;
    font-size: 12px;
    text-transform: none;
    border-radius: 22px;
}

.section-main .info-wrapper .button-contacts svg {
    margin-right: 11px;
    width: 17px;
}

.section-main .info-wrapper .button-price {
    margin-left: 20px;
    padding: 0 20px;
    height: 44px;
    font-weight: 800;
    font-size: 12px;
    text-transform: none;
    border-radius: 22px;
}

.section-main .info-wrapper .button-price svg {
    margin-right: 15px;
    width: 16px;
}

.section-main .info-wrapper .updated-at {
    margin-left: 29px;
    font-weight: 600;
    font-size: 12px;
    line-height: 12px;
    color: #8C8A8F;
}

@media screen and (max-width: 480px) {
    .section-main .info-wrapper {
        display: block;
        margin-top: 16px;
    }

    .section-main .info-wrapper .button-price {
        margin: 0;
        justify-content: center;
    }

    .section-main .info-wrapper .updated-at {
        display: block;
        margin: 10px 0 0;
        text-align: center;
    }
}

.section-main .shop-page-slider-wrapper {
    margin-top: 80px;
}

.section-main .shop-page-slider-wrapper .shop-page-slider:before,
.section-main .shop-page-slider-wrapper .shop-page-slider:after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    width: 20rem;
    background: -webkit-gradient(linear,left top,right top,from(rgba(43,45,46,.8)),color-stop(71.71%,rgba(43,45,46,0)));
    background: -webkit-linear-gradient(left,rgba(43,45,46,.8),rgba(43,45,46,0) 71.71%);
    background: -o-linear-gradient(left,rgba(43,45,46,.8),rgba(43,45,46,0) 71.71%);
    background: linear-gradient(90deg,rgba(43,45,46,.8),rgba(43,45,46,0) 71.71%);
    pointer-events: none;
    z-index: 1;
}

.section-main .shop-page-slider-wrapper .shop-page-slider:after {
    right: 0;
    background: -webkit-gradient(linear,right top,left top,from(rgba(43,45,46,.8)),color-stop(71.71%,rgba(43,45,46,0)));
    background: -webkit-linear-gradient(right,rgba(43,45,46,.8),rgba(43,45,46,0) 71.71%);
    background: -o-linear-gradient(right,rgba(43,45,46,.8),rgba(43,45,46,0) 71.71%);
    background: linear-gradient(270deg,rgba(43,45,46,.8),rgba(43,45,46,0) 71.71%);
}

.section-main .shop-page-slider-wrapper .shop-page-slider .shop-page-slide a,
.section-main .shop-page-slider-wrapper .shop-page-slider .shop-page-slide span {
    display: block;
    font-size: 0;
}

.section-main .shop-page-slider-wrapper .shop-page-slider .shop-page-slide img {
    height: auto;
}

.section-blog {
    padding: 40px 0;
}

.section-blog .content-wrapper {
    max-width: 1310px;
}

.section-blog .shop-page-blog {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 35px;
}

@media screen and (max-width: 768px) {
    .section-blog .shop-page-blog {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 480px) {
    .section-blog .shop-page-blog {
        grid-template-columns: 1fr;
    }
}

.section-blog .shop-page-blog .shop-page-blog-item {
    display: block;
    padding: 20px 20px 40px;
    text-decoration: none;
    border-radius: 10px;
    transition: box-shadow var(--transition);
}

.section-blog .shop-page-blog .shop-page-blog-item:hover {
    -webkit-box-shadow: 0 0 3.5rem 0.5rem rgba(0,0,0,.1);
    box-shadow: 0 0 3.5rem 0.5rem rgba(0,0,0,.1);
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-image {
    position: relative;
    display: block;
    width: 100%;
    margin-bottom: 28px;
    font-size: 0;
    overflow: hidden;
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-image:before {
    content: '';
    display: block;
    padding-bottom: 55.22%;
}


.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-image img {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-tags {
    display: flex;
    margin-bottom: 15px;
    justify-content: center;
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-tags .shop-page-blog-item-tag {
    display: block;
    padding: 8px 18px;
    font-size: 12px;
    font-weight: 600;
    color: var(--main-bg-color);
    background-color: var(--dark-bg-color);
    border-radius: 20px;
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-title-wrapper {
    display: block;
    text-align: center;
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-title-wrapper .shop-page-blog-item-title {
    display: block;
    font-family: 'Intro', 'Montserrat', sans-serif;
    font-size: 17px;
    line-height: 20px;
    color: var(--text-color-light-dark);
    text-transform: uppercase;
    text-decoration: none;
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-excerpt {
    display: block;
    margin-top: 15px;
    font-size: 14px;
    line-height: 18px;
    color: #8c8a8f;
    text-align: center;
}

.section-blog .shop-page-blog .shop-page-blog-item .shop-page-blog-item-excerpt p {
    margin: 0;
}